Bug 73292 - FILESAVE: saving as .uot results in microscopic page size when re-opened (only when Inches used)
Summary: FILESAVE: saving as .uot results in microscopic page size when re-opened (onl...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
3.3.3 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: UOF
  Show dependency treegraph
 
Reported: 2014-01-05 01:23 UTC by Jim Avera
Modified: 2019-09-17 02:47 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
xx.uot - file which when opened you can't see any content (16.54 KB, application/octet-stream)
2014-01-05 01:23 UTC, Jim Avera
Details
xx.doc - original content before save-as in Unified Office Format (9.00 KB, application/msword)
2014-01-05 01:24 UTC, Jim Avera
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Avera 2014-01-05 01:23:50 UTC
Created attachment 91501 [details]
xx.uot - file which when opened you can't see any content

Problem description: If a text document is saved in Unified Office Format (.uot), then libreoffice can not open the resulting file; or rather it opens it but displays no text at all.

Steps to reproduce:
1. Create a writer document with a few words of text (or use the attached demo)
2. File->Save As -> Unified Office Format
3. File->Exit
4. lowrite <the create file.uot>

Current behavior:
A solidly-gray pane appears with rulers, but no document content

Expected behavior:
Content of the document would be accessible.

              
Operating System: Ubuntu
Version: 4.1.3.2 release
Comment 1 Jim Avera 2014-01-05 01:24:57 UTC
Created attachment 91502 [details]
xx.doc - original content before save-as in Unified Office Format
Comment 2 tommy27 2014-01-05 01:32:07 UTC
tested with LibO 4.1.4.2 under Win7 64bit

your test .uot document looks abnormal and matches your description, however I'm not able to reproduce your issue from scratch...

if I load the .doc test document and try to save it as .uot, the resulting file can be reopened with no issues in LibO.

maybe a Linux specific issue?
anyway I suggest to upgrade to 4.1.4.2 and tell us if bug is still present.
Comment 3 Jim Avera 2014-01-05 02:30:13 UTC
Hmm, maybe it is Linux-specific.  I tried LO 4.2.0.1 and the problem is the same.
Comment 4 Maxim Monastirsky 2014-01-05 12:00:23 UTC
I can confirm that it's Linux specific bug. A file created using the Linux version can't be opened even with the Windows version. But a file created using the Windows version can be opened even with the Linux version. So it's a bug in the saving procedure, not in opening. Tested with 4.1.4 under Ubuntu 13.10 and Windows 7. The test document is a new document with just "Hello World".
Comment 5 tommy27 2014-01-05 12:45:02 UTC
nice job Maxim
not it would be interesting to test Linux older LibO version to identify if the bug is a new regression or an old issue
Comment 6 Jim Avera 2014-01-06 06:36:20 UTC
LO 3.6.7.2 has the bug, so at least it isn't new in the 4.x series.
Comment 7 Maxim Monastirsky 2014-01-06 07:25:06 UTC
Seems like it's not Linux specific after all. I've compared the output from Win\Linux versions, and the settings of each version, and came to a conclusion that it depend on measurement unit that was used when saving (Tools->Options...->LibreOffice Writer->General->Measurement unit). When it set to Inch, the bug reproducible under Windows too, and when set to Centimeter it works under Linux too. (Initially I had Inch under Linux and Centimeter under Windows, due to different locale settings.)

@Jim: Can you also confirm that it works after setting to Centimeter?

(Also I changed the version to oldest known.)
Comment 8 tommy27 2014-01-06 08:29:13 UTC
good catch maxim, the inches thing is what trigger the bug

very old releases. reproducible at least in LibO 3.3.3 (but I suspect it has been there from 3.3.0)

the .uot file is not really empty... it's just it's page size which is turned  microscopic (0.2 x 0.2 inches) so you cannot see anything.

in LibO 3.3.3 you are able to temporarily restore normal page size with "Format/Page/Page/Height & Width) but when you close and reload, the page turn back to microcopic size

in LibO 4.1.4 if you load the microscopic .uot and hit "Format/Page" there is a crash.
Comment 9 tommy27 2014-01-06 08:38:46 UTC
(In reply to comment #8)
> ...
> in LibO 4.1.4 if you load the microscopic .uot and hit "Format/Page" there
> is a crash.

no "Format/Page" crash in 3.6.7
"Format/Page" crash presenti already in 4.0.4

not sure if I should file a separate bug report for this
Comment 10 tommy27 2014-01-06 08:42:35 UTC
added Writer expert to CC list.

@Micheal Stahl
most useful comments for you are Comment 0, Comment 7 and Comment 8
Comment 11 tommy27 2014-07-20 09:57:45 UTC
microscopic page loading and format page crash still present in 4.2.5.2 and 4.4.0.0.alpha0+
Build ID: b9dca968c6fd0ab5ca140c65b0e54d153cd34986
TinderBox: Win-x86@42, Branch:master, Time: 2014-07-18_22:51:20
Comment 12 QA Administrators 2015-09-04 02:48:06 UTC Comment hidden (obsolete)
Comment 13 Jim Avera 2015-09-04 04:26:26 UTC
Bug still there in 5.0.0.0.beta3
Comment 14 QA Administrators 2016-09-20 10:29:07 UTC Comment hidden (obsolete)
Comment 15 Jim Avera 2016-09-21 21:20:23 UTC
Bug (microscopic document after save/reload) is still there in 5.2.3.0.0+
Comment 16 vihsa 2017-07-01 11:51:44 UTC
attachment 91501 [details] does not

[1] list in file browser
[2] open in libreoffice viewer

Version: 6.0.0.0.alpha0+
Build ID: 643da8ec4e721d33dfdf8d78bedd50a915f1188d TinderBox: Android-ARM@24-Bytemark-Hosting, Branch: Master, Time: June 26, 2017 01:29:17
Comment 17 QA Administrators 2018-09-16 02:48:45 UTC Comment hidden (obsolete)
Comment 18 Jim Avera 2018-09-16 05:11:09 UTC
Bug still there in LO 6.1.2.0.0+ (2018-09-15_00:07:40)

STEPS TO REPRODUCE:

1. /path/to/installdir/program/soffice --writer
2. Type a line of text "This is a test".
3. File->Save As
     Set File type: Unified Office Format text (.uot)
4. File->Reload

RESULTS: The page disappears, showing only the grey background (actually the page is there but microscopic -- see previous comments by others).

EXPECTED RESULTS: Should save/load without corruption/micro-sizing.
Comment 19 QA Administrators 2019-09-17 02:47:59 UTC
Dear Jim Avera,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug